| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Namespaces | Macros | Typedefs | Enumerations
OgreShaderPrerequisites.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`

## Namespaces
| Ogre
| Ogre::RTShader

## Macros
#define | _OgreRTSSExport

## Typedefs
typedef SharedPtr< Parameter > | Ogre::RTShader::ParameterPtr
typedef GeneralAllocatedObject | Ogre::RTShaderSystemAlloc
typedef vector< ParameterPtr >::type | Ogre::RTShader::ShaderParameterList
typedef SharedPtr< UniformParameter > | Ogre::RTShader::UniformParameterPtr

## Enumerations
enum | Ogre::RTShader::SkinningType { Ogre::RTShader::ST_LINEAR, Ogre::RTShader::ST_DUAL_QUATERNION }
enum | Ogre::RTShader::VSOutputCompactPolicy { Ogre::RTShader::VSOCP_LOW = 0, Ogre::RTShader::VSOCP_MEDIUM = 1, Ogre::RTShader::VSOCP_HIGH = 2 }

## Macro Definition Documentation

## ◆ _OgreRTSSExport

#define _OgreRTSSExport

Referenced by Ogre::RTShader::NormalMapLighting::getNormalMapMipBias().